summaryrefslogtreecommitdiff
path: root/tests/misc/head-pos
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 12:26:55 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (patch)
tree4c26a5e5aebb07fb2c35c39d51768a628a2cefa2 /tests/misc/head-pos
parent28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (diff)
downloadcoreutils-03a08a4cd0540cd6b018c5c9f602a1d25847ba62.tar.xz
Convert tests/misc/ to use test-lib.sh, too.
Diffstat (limited to 'tests/misc/head-pos')
-rwxr-xr-xtests/misc/head-pos20
1 files changed, 4 insertions, 16 deletions
diff --git a/tests/misc/head-pos b/tests/misc/head-pos
index 3a27d3e8e..b78a42d43 100755
--- a/tests/misc/head-pos
+++ b/tests/misc/head-pos
@@ -2,7 +2,7 @@
# When reading a specified number of lines, ensure that the output
# file pointer is positioned just after those lines.
-# Copyright (C) 2002, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2004, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,20 +22,9 @@ if test "$VERBOSE" = yes; then
head --version
fi
-pwd=`pwd`
-tmp=head-pos.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
+. $srcdir/../test-lib.sh
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-(echo a; echo b) > in || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+(echo a; echo b) > in || framework_failure
fail=0
(head -n 1 >/dev/null; cat) < in > out || fail=1
@@ -43,7 +32,6 @@ cat <<EOF > exp
b
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail